Skip to main content
GET
/
api
/
external
/
companies
/
{companyId}
/
transaction-categories
List Transaction Categories
curl --request GET \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/transaction-categories \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440001",
      "categoryId": "indemnity_invoice",
      "name": "Indemnity",
      "lineItemCategories": [],
      "isItemized": false,
      "direction": "Payable",
      "scopes": [
        {
          "entityType": "event",
          "supportedPayeeTypes": [
            "payee"
          ]
        }
      ],
      "supportsReserves": true
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440002",
      "categoryId": "alae_invoice",
      "name": "ALAE",
      "lineItemCategories": [
        {
          "categoryId": "attorney_fees_expenses",
          "name": "Attorney Fees Expenses",
          "parentTransactionCategoryId": "alae_invoice"
        },
        {
          "categoryId": "expert_fees_expenses",
          "name": "Expert Fees Expenses",
          "parentTransactionCategoryId": "alae_invoice"
        },
        {
          "categoryId": "other_alae_expenses",
          "name": "Other Alae Expenses",
          "parentTransactionCategoryId": "alae_invoice"
        }
      ],
      "isItemized": true,
      "direction": "Payable",
      "scopes": [
        {
          "entityType": "event",
          "supportedPayeeTypes": [
            "payee"
          ]
        }
      ],
      "supportsReserves": true
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440003",
      "categoryId": "policy_invoice",
      "name": "Policy Invoice",
      "lineItemCategories": [
        {
          "categoryId": "premiums",
          "name": "Premiums",
          "parentTransactionCategoryId": "policy_invoice"
        },
        {
          "categoryId": "premium_taxes",
          "name": "Premium Taxes",
          "parentTransactionCategoryId": "policy_invoice"
        }
      ],
      "isItemized": true,
      "direction": "Receivable",
      "scopes": [
        {
          "entityType": "policy",
          "supportedPayeeTypes": [
            "insured",
            "brokerage",
            "payee"
          ]
        }
      ],
      "supportsReserves": false
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440004",
      "categoryId": "deductible_invoice",
      "name": "Deductible Invoice",
      "lineItemCategories": [],
      "isItemized": false,
      "direction": "Receivable",
      "scopes": [
        {
          "entityType": "event",
          "supportedPayeeTypes": [
            "insured"
          ]
        }
      ],
      "supportsReserves": false
    }
  ],
  "totalCount": 4
}

Documentation Index

Fetch the complete documentation index at: https://docs.aiinsurance.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Response

List of transaction categories

items
object[]
totalCount
integer

Total number of transaction categories